## EggFindBar

EggFindBar

## Functions

GtkWidget * | egg_find_bar_new ()
void | egg_find_bar_set_search_string ()
const char * | egg_find_bar_get_search_string ()
void | egg_find_bar_set_case_sensitive ()
gboolean | egg_find_bar_get_case_sensitive ()
void | egg_find_bar_set_status_text ()

## Properties

gboolean | case-sensitive | Read / Write
char * | search-string | Read / Write

## Signals

void | close | Action
void | next | Action
void | previous | Action
void | scroll | Action

## Types and Values

struct | EggFindBar
struct | EggFindBarClass
| EggFindBarPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkToolbar
                        ╰── EggFindBar

## Implemented Interfaces

EggFindBar implements AtkImplementorIface, GtkBuildable, GtkToolShell and GtkOrientable.

## Description

## Functions

### egg_find_bar_new ()

    GtkWidget *
    egg_find_bar_new (void);

Creates a new EggFindBar.

#### Returns

a newly created EggFindBar

Since: 2.6

### egg_find_bar_set_search_string ()

    void
    egg_find_bar_set_search_string (EggFindBar *find_bar,
                                    const char *search_string);

Sets the string that should be found/highlighted in the document. Empty string is converted to NULL.

Since: 2.6

### egg_find_bar_get_search_string ()

    const char *
    egg_find_bar_get_search_string (EggFindBar *find_bar);

Gets the string that should be found/highlighted in the document.

#### Returns

the string

Since: 2.6

### egg_find_bar_set_case_sensitive ()

    void
    egg_find_bar_set_case_sensitive (EggFindBar *find_bar,
                                     gboolean case_sensitive);

Sets whether the search is case sensitive

Since: 2.6

### egg_find_bar_get_case_sensitive ()

    gboolean
    egg_find_bar_get_case_sensitive (EggFindBar *find_bar);

Gets whether the search is case sensitive

#### Returns

TRUE if it's case sensitive

Since: 2.6

### egg_find_bar_set_status_text ()

    void
    egg_find_bar_set_status_text (EggFindBar *find_bar,
                                  const char *text);

Sets some text to display if there's space; typical text would be something like "5 results on this page" or "No results"

`text` : the text to display

Since: 2.6

## Types and Values

### struct EggFindBar

    struct EggFindBar;

### struct EggFindBarClass

    struct EggFindBarClass {
      GtkToolbarClass parent_class;

      void (* next)	    (EggFindBar *find_bar);
      void (* previous) (EggFindBar *find_bar);
      void (* close)    (EggFindBar *find_bar);
      void (* scroll)   (EggFindBar *find_bar, GtkScrollType* scroll);

      /* Padding for future expansion */
      void (*_gtk_reserved1) (void);
      void (*_gtk_reserved2) (void);
      void (*_gtk_reserved3) (void);
      void (*_gtk_reserved4) (void);
    };

### EggFindBarPrivate

    typedef struct _EggFindBarPrivate EggFindBarPrivate;

## Property Details

### The `“case-sensitive”` property

      “case-sensitive”           gboolean

TRUE for a case sensitive search.

Owner: EggFindBar

Flags: Read / Write

Default value: FALSE

### The `“search-string”` property

      “search-string”            char *

The name of the string to be found.

Owner: EggFindBar

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“close”` signal

    void
    user_function (EggFindBar *eggfindbar,
                   gpointer    user_data)

Flags: Action

### The `“next”` signal

    void
    user_function (EggFindBar *eggfindbar,
                   gpointer    user_data)

Flags: Action

### The `“previous”` signal

    void
    user_function (EggFindBar *eggfindbar,
                   gpointer    user_data)

Flags: Action

### The `“scroll”` signal

    void
    user_function (EggFindBar   *eggfindbar,
                   GtkScrollType arg1,
                   gpointer      user_data)

Flags: Action